package minutes;

import java.io.*;
import java.util.regex.*;
import java.util.*;
import java.net.*;

public class PhpArray implements PhpObject
{
    HashMap<String, PhpObject> e = new HashMap<String, PhpObject>();

    public void put(String key, PhpObject value) 
    {
	e.put(key, value);
    }

    public void put(String key, long v)
    {
	e.put(key, new PhpInt(v));
    }

    public void put(String key, String v)
    {
	e.put(key, new PhpString(v));
    }

    public PhpObject get(String key) 
    {
	return e.get(key);
    }

    public String serialize()
    {
	StringBuffer sb = new StringBuffer();
	int sz = e.size();

	sb.append("a:"+sz+":{");

	for (String key: e.keySet())
	    {
		PhpString ps = new PhpString(key);
		PhpObject v = e.get(key);

		sb.append(ps.serialize()+v.serialize());
	    }

	sb.append("}");

	return sb.toString();
    }
}
